package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 账户流水枚举
 *
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum AccountBizTypeEnum implements BaseEnum<String, AccountBizTypeEnum> {

    PRACTICE("陪练课"),
    LIVE("直播课"),
    VIDEO("视频课"),
    MUSIC("乐谱"),
    VIP("会员充值"),
    MALL("商品购买"),
    PIAON_ROOM("琴房充值"),
    ACTI_REGIST("活动报名"),
    WITHDRAWAL("结算"),
    ALBUM("专辑"),

    LIVE_SHARE("直播课分润"),
    VIDEO_SHARE("视频课分润"),
    MUSIC_SHARE("乐谱分润"),
    ALBUM_SHARE("专辑分润"),
    VIP_SHARE("会员分润"),
    MALL_SHARE("商品分润"),
    ACTI_REGIST_SHARE("活动报名分润"),

    ;
    @EnumValue
    private String code;
    private String msg;

    AccountBizTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }

}
